<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:background="@color/common_bgcolor"
    android:orientation="vertical" >

    <RelativeLayout
        android:id="@+id/title"
        android:layout_width="match_parent"
        android:layout_height="@dimen/height_top_bar"
        android:background="@color/common_topbar_bgcolor" >
        <include layout="@layout/commom_back_btn" />
        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_centerInParent="true"
            android:text="设置"
            android:textColor="#ffffff"
            android:textSize="20sp" />
    </RelativeLayout>

    <ScrollView
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:fadingEdge="none" >

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:focusable="true" 
            android:focusableInTouchMode="true"            
            android:orientation="vertical" >
            <!-- 新增个人资料设置 -->
  		 <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginLeft="10dip"
                android:layout_marginRight="10dip"
                android:layout_marginTop="10dip"
                android:orientation="vertical" >

                <TextView
                    android:layout_width="match_parent"
                    android:layout_height="30dip"
                    android:gravity="bottom|left"
                    android:paddingLeft="10dip"
                    android:text="基本资料设置"
                    android:textColor="@color/btn_gray_pressed" />

                <TextView
                    android:layout_width="match_parent"
                    android:layout_height="1dip"
                    android:background="@color/btn_gray_normal" />
            </LinearLayout>
             <!-- 头像 -->
            <RelativeLayout
                    android:id="@+id/rl_user_image"
                    android:layout_width="match_parent"
                    android:layout_height="70dip"
                    android:background="@drawable/btn_bottom_selector"
                    android:padding="10dip" >

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_centerVertical="true"
                        android:paddingLeft="10dip"
                        android:text="默认头像"
                        android:textColor="@android:color/black"
                        android:textSize="17sp"
                        android:typeface="serif" />

                    <ImageView
                        android:id="@+id/iv_user_image"
                        android:layout_width="50dip"
                        android:layout_height="50dip"
                        android:layout_alignParentRight="true"
                        android:layout_centerVertical="true"
                        android:background="@drawable/default_avatar"
                         />
 
                </RelativeLayout>
                <!--分割线 -->
                 <TextView 
                    android:layout_width="match_parent"
                    android:layout_height="1dip"
                    android:layout_marginLeft="10dip"
                    android:layout_marginRight="10dip"
                    android:background="#E6E6E6" />
                <!-- 昵称 -->
                <RelativeLayout
                    android:id="@+id/rl_user_username"
                    android:layout_width="match_parent"
                    android:layout_height="50dip"
			android:orientation="horizontal"                    

                    android:padding="10dip" >

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_centerVertical="true"
                        android:paddingLeft="10dip"
                        android:text="用  户  名"
                        android:textColor="@android:color/black"
                        android:textSize="17sp"
                        android:typeface="serif" />

                        <EditText
                        android:id="@+id/tv_user_username"
                        android:layout_width="200dip"
			            android:layout_height="match_parent"
			            android:singleLine="true"
                        android:layout_alignParentRight="true"
                        android:gravity="center_vertical|right"                       
                        android:paddingRight="25dip"
                          android:textColorHint="@color/btn_gray_hint"                      
                        android:text="年轻人"
                        android:textColor="@color/btn_gray_pressed"
                        android:textSize="14sp"
			android:background="@drawable/qq_edit_text"/>
 
                </RelativeLayout>
            <!--分割线 -->
                 <TextView 
                    android:layout_width="match_parent"
                    android:layout_height="1dip"
                    android:layout_marginLeft="10dip"
                    android:layout_marginRight="10dip"
                    android:background="#E6E6E6" />
            <!-- 性别-->
             <RelativeLayout
               android:id="@+id/rl_user_xingbie"
               android:layout_width="match_parent"
               android:layout_height="50dip"
               android:background="@drawable/btn_bottom_selector"
               android:padding="10dip" >

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_centerVertical="true"
                        android:paddingLeft="10dip"
                        android:text="性别"
                        android:textColor="@android:color/black"
                        android:textSize="17sp"
                        android:typeface="serif" />

     
             <RadioGroup
                android:id="@+id/rg_sex"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginLeft="10dp"
                        android:layout_alignParentRight="true"
                         android:paddingRight="25dip"                        
                android:orientation="horizontal" >

                <RadioButton
                    android:id="@+id/rb_sex_male"
                    android:checked="true"
                    android:text="男"
                    android:textColor="@color/text_edit"
                    android:textSize="17sp" />

                <RadioButton
                    android:id="@+id/rb_sex_female"
                    android:layout_marginLeft="10dp"
                    android:text="女"
                    android:textColor="@color/text_edit"
                    android:textSize="17sp" />
            </RadioGroup>
             </RelativeLayout>
            <!--分割线 -->
                 <TextView 
                    android:layout_width="match_parent"
                    android:layout_height="1dip"
                    android:layout_marginLeft="10dip"
                    android:layout_marginRight="10dip"
                    android:background="#E6E6E6" />
           	<!-- 年龄-->
             <RelativeLayout
               android:id="@+id/rl_user_age"
               android:layout_width="match_parent"
               android:layout_height="50dip"
               android:background="@drawable/btn_bottom_selector"
               android:padding="10dip" >

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_centerVertical="true"
                        android:paddingLeft="10dip"
                        android:text="年龄"
                        android:textColor="@android:color/black"
                        android:textSize="17sp"
                        android:typeface="serif" />
                      <EditText
                        android:id="@+id/tv_user_age"
                        android:layout_width="100dip"
			            android:layout_height="match_parent"
			            android:singleLine="true"
			            android:layout_weight="1"	
                        android:layout_alignParentRight="true"
                        			            		            
                        android:layout_centerVertical="true"
                          android:gravity="center_vertical|right"                        
                        android:paddingRight="25dip"                       
                        android:textColorHint="@color/btn_gray_hint"
                        android:text="21"
                        android:textColor="@color/btn_gray_pressed"
                        android:textSize="14sp"

			android:background="@drawable/qq_edit_text" />

             </RelativeLayout>

          <!--分割线 -->
                 <TextView 
                    android:layout_width="match_parent"
                    android:layout_height="1dip"
                    android:layout_marginLeft="10dip"
                    android:layout_marginRight="10dip"
                    android:background="#E6E6E6" />
           <!-- 地区-->
             <RelativeLayout
               android:id="@+id/rl_user_address"
               android:layout_width="match_parent"
               android:layout_height="50dip"
               android:background="@drawable/btn_bottom_selector"
               android:padding="10dip" >

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_centerVertical="true"
                        android:paddingLeft="10dip"
                        android:text="所在地区"
                        android:textColor="@android:color/black"
                        android:textSize="17sp"
                        android:typeface="serif" />
                    <TextView
                        android:id="@+id/tv_user_address"

                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_centerVertical="true"
                        android:layout_alignParentRight="true"
                        android:drawableRight="@drawable/right"  
                        android:drawablePadding="5dp"                       
                        android:layout_marginRight="10dip"                                               
                        android:paddingLeft="10dip"                         
                        android:text="北京 朝阳"
                        android:textColor="@color/btn_gray_pressed"
                        android:textSize="14sp"
                        android:typeface="serif" />
 
             </RelativeLayout>
          <!--分割线 -->
                 <TextView 
                    android:layout_width="match_parent"
                    android:layout_height="1dip"
                    android:layout_marginLeft="10dip"
                    android:layout_marginRight="10dip"
                    android:background="#E6E6E6" />   
                    
                 
             <!--开放程度 -->
            <RelativeLayout
               android:id="@+id/rl_user_allow"
               android:layout_width="match_parent"
               android:layout_height="wrap_content"
               android:background="@drawable/btn_bottom_selector"
               android:padding="10dip" >

                    <TextView
                        android:id="@+id/s_gxqm"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_centerVertical="true"
                        android:paddingLeft="10dip"
                        android:text="开放程度"
                        android:textColor="@android:color/black"
                        android:textSize="17sp"
                        android:typeface="serif" />
 
 
             </RelativeLayout>            
             <RadioGroup
                android:id="@+id/rg_allow"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginLeft="30dp"
                        android:layout_alignParentRight="true"
                         android:paddingRight="25dip"                        
                android:orientation="vertical" >

                <RadioButton
                    android:id="@+id/rb_allow_Public"

                    android:layout_marginLeft="10dp"                    
                    android:text="允许任何人把我列为好友"
                    android:textColor="@color/text_edit"
                    android:textSize="17sp" />

                <RadioButton
                    android:id="@+id/rb_allow_Friend"
                     android:checked="true"                   
                    android:layout_marginLeft="10dp"
                    android:text="需要身份验证才能把我列为好友"
                    android:textColor="@color/text_edit"
                    android:textSize="17sp" />
               <RadioButton
                    android:id="@+id/rb_allow_Private"
                    android:layout_marginLeft="10dp"
                    android:text="不允许任何人把我列为好友"
                    android:textColor="@color/text_edit"
                    android:textSize="17sp" />                
            </RadioGroup>                  
           
          <!--分割线 -->
                 <TextView 
                    android:layout_width="match_parent"
                    android:layout_height="1dip"
                    android:layout_marginLeft="10dip"
                    android:layout_marginRight="10dip"
                    android:background="#E6E6E6" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="15dip"
                android:orientation="vertical" >

                <Button
                    android:id="@+id/btn_modify"
                    android:layout_width="match_parent"
                    android:layout_height="44dp"
                    android:layout_marginBottom="12dp"
                    android:layout_marginLeft="10dip"
                    android:layout_marginRight="10dip"
                    android:layout_marginTop="12dp"
                    android:background="@drawable/button_register_bg"
                    android:text="修　　改"
                    android:textColor="@android:color/white"
                    android:textSize="18sp" />
                
                 <Button
                    android:id="@+id/btn_logout"
                    android:layout_width="match_parent"
                    android:layout_height="44dp"
                    android:layout_marginBottom="12dp"
                    android:layout_marginLeft="10dip"
                    android:layout_marginRight="10dip"
                    android:layout_marginTop="12dp"
                    android:background="@drawable/button_login_bg"
                    android:text="退出登录(不再接收消息)"
                    android:textColor="@android:color/white"
                    android:textSize="18sp" />
                
                <Button
                    android:id="@+id/btn_exit"
                    android:layout_width="match_parent"
                    android:layout_height="44dp"
                    android:layout_marginBottom="12dp"
                    android:layout_marginLeft="10dip"
                    android:layout_marginRight="10dip"
                    android:layout_marginTop="12dp"
                    android:background="@drawable/button_logout_bg"
                    android:text="关闭程序"
                    android:textColor="@android:color/white"
                    android:textSize="18sp" />
                
                <Button
                    android:id="@+id/btn_regoff"
                    android:layout_width="match_parent"
                    android:layout_height="44dp"
                    android:layout_marginBottom="12dp"
                    android:layout_marginLeft="10dip"
                    android:layout_marginRight="10dip"
                    android:layout_marginTop="12dp"
                    android:background="@drawable/button_login_sina"
                    android:text="注销用户(用户不再存在)"
                    android:textColor="@android:color/white"
                    android:textSize="18sp" />                
            </LinearLayout>
        </LinearLayout>
    </ScrollView>

</LinearLayout>